"""smash URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.10/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url
from web import views

urlpatterns = [
    url(r'assignments$', views.assignments, name='web.views.assignments'),
    url(r'assignments/details/(?P<id>\d+)$', views.assignment_details, name='web.views.assignment_details'),

    url(r'visits$', views.visits, name='web.views.visits'),

    url(r'subjects$', views.subjects, name='web.views.subjects'),
    url(r'subjects/add$', views.subject_add, name='web.views.subject_add'),
    url(r'subjects/details/(?P<id>\d+)$', views.subject_details, name='web.views.subject_details'),
    url(r'subjects/edit/(?P<id>\d+)$', views.subject_edit, name='web.views.subject_edit'),
    url(r'subjects/delete/(?P<id>\d+)$', views.subject_delete, name='web.views.subject_delete'),

    url(r'doctors$', views.doctors, name='web.views.doctors'),
    url(r'doctors/add$', views.doctor_add, name='web.views.doctor_add'),
    url(r'doctors/details/(?P<doctor_id>\d+)$', views.doctor_details, name='web.views.doctor_details'),
    url(r'doctors/edit/(?P<doctor_id>\d+)$', views.doctor_edit, name='web.views.doctor_edit'),
    url(r'doctors/availability/(?P<doctor_id>\d+)$', views.doctor_availability, name='web.views.doctor_availability'),
    url(r'doctors/availability/(?P<doctor_id>\d+)/delete/(?P<availability_id>\d+)$', views.doctor_availability_delete, name='web.views.doctor_availability_delete'),

    url(r'equipment_and_rooms$', views.equipment_and_rooms, name='web.views.equipment_and_rooms'),
    url(r'equipment_and_rooms/eqdef$', views.equipment_def, name='web.views.equipment_def'),

    url(r'mail_templates$', views.mail_templates, name='web.views.mail_templates'),

    url(r'login$', views.login, name='web.views.login'),
    url(r'logout$', views.logout, name='web.views.logout'),

	url(r'^$', views.index, name='web.views.index')
]
